FROM debian:latest

RUN apt-get update          &&  \
    apt-get install -y          \
    wget                    &&  \
    # ADD SURY REPOSITORY TO INSTALL PHP
    apt-get -y install apt-transport-https lsb-release ca-certificates                                      && \
    apt-get -y install curl                                                                                 && \
    wget -O /etc/apt/trusted.gpg.d/php.gpg https://packages.sury.org/php/apt.gpg                            && \
    echo "deb https://packages.sury.org/php/ $(lsb_release -sc) main" > /etc/apt/sources.list.d/php.list    && \
    # INSTALL PHP AND APACHE2
    apt-get update          &&  \
    apt-get install -y          \
    apache2                     \
    snmp                        \
    golang                      \
    git                         \
    libapache2-mod-php8.0       \
    php-dev                     \
    php-pear                    \
    php-redis                   \
    php8.0-cli                  \
    php8.0-curl                 \
    php8.0-fpm                  \
    php8.0-gd                   \
    php8.0-ldap                 \
    php8.0-mbstring             \
    php8.0-mysql	            \
    php8.0-soap                 \
    php8.0-sqlite3              \
    php8.0-xml                  \
    php8.0-zip                  \
    php8.0-opcache              \
    php8.0-bcmath               \
    php8.0-intl

# Install Composer
RUN curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer

# Install Node
RUN apt-get update -yq \
    && apt-get install curl gnupg -yq \
    && curl -sL https://deb.nodesource.com/setup_current.x | bash \
    && apt-get install nodejs -yq

#COPY APACHE2 CONFIGS
COPY conf/apache/000-default.conf /etc/apache2/sites-available/000-default.conf
RUN  a2enmod rewrite

#COPY PHP CONFIGS
COPY conf/php/php.ini /etc/php/8.0/apache2/php.ini
COPY conf/php/php.ini /etc/php/8.0/cli/php.ini

WORKDIR /var/www/html

#Install mailhog
RUN mkdir /root/go
ENV GOPATH /root/go
RUN go get github.com/mailhog/mhsendmail
ENV PATH "$PATH:/root/go/bin"

#EXPOSE PORT 80
EXPOSE 80

CMD apachectl -DFOREGROUND
